Subject: Re: [RFC PATCH 6/6] ipv6: IPv6 over IEEE1394 (RFC3146) support.

From: Stephan Gatzka <[email-masked]>
Date: Sat, 12 Jan 2013 17:37:32 +0100

> Dito, please do not solve this with an EXPORT from drivers/firewire/net.c.
Again, I totally agree from the architectural point of view.

>
> Either a new driver callback is required, and the function pointer to this
> callback needs to be reachable indirectly via the skb pointer.

How I understand the whole ndisc code, ndisc just copes with struct 
net_devices. So to break the dependency to the firewire net driver an 
optional callback routine in struct net_device might be the easiest way.

> Or drivers/firewire/net.c needs to be aware that it just received an NDP
> packet, and then call a parser function in net/ipv6/ndisc.c which returns
> the data that drivers/firewire/net.c wants to know.

I think that is definitely to late. All cryptographic stuff (IPSEC) will 
be done and I don't think we want to recalculate that afterwards.